=== debian/changelog ===
ros-indigo-jsk-data (2.2.10-0trusty) trusty; urgency=high

  * check if wget/gdown command exists, gdown is pip distributed so that we can not use this within de build farm (#1609 <https://github.com/jsk-ros-pkg/jsk_common/issues/1609>)
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 03 Nov 2018 00:00:00 -0000

ros-indigo-jsk-data (2.2.9-0trusty) trusty; urgency=high

  * check if the pkg exists and path is writable (#1608 <https://github.com/jsk-ros-pkg/jsk_common/issues/1608>)
    * fix http://build.ros.org/view/Kbin_uX64/job/Kbin_uX64__jsk_pcl_ros_utils__ubuntu_xenial_amd64__binary/132/console
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-jsk-data (2.2.8-0trusty) trusty; urgency=high

  * Fix installation destination (install node_scripts to CATKIN_PACKAGE_BIN_DESTINATION) (#1604 <https://github.com/jsk-ros-pkg/jsk_common/issues/1604>)
  * Enable method: all in test_data_collection_server.py (#1600 <https://github.com/jsk-ros-pkg/jsk_common/issues/1600>)
    * Enable method: all in test_data_collection_server.pyI missed this in https://github.com/jsk-ros-pkg/jsk_common/pull/1599#issuecomment-418374578.
  * Add test for data_collection_server (#1599 <https://github.com/jsk-ros-pkg/jsk_common/issues/1599>)
    * Re-enable test of data_collection_server with method=all
    * Add name to <test>
    * Disable test with static_image_publisher.py
    * Add test for data_collection_server
    * Rename to method: all from None since null is not supported in roslaunch<string>:28: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:28: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:28: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.... logging to /home/wkentaro/.ros/log/rostest-hoop-18427.log
    [ROSUNIT] Outputting test results to /home/wkentaro/.ros/test_results/jsk_data/rostest-tests_data_collection_server.xml
    [Testcase: testtest_data_collection_server] ... ERROR!
    ERROR: cannot marshal None unless allow_none is enabled
    File "/usr/lib/python2.7/unittest/case.py", line 329, in run
    testMethod()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/runner.py", line 120, in fn
    succeeded, failed = self.test_parent.launch()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/rostest/rostest_parent.py", line 122, in launch
    return self.runner.launch()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 657, in launch
    self._setup()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 644, in _setup
    self._load_parameters()
    File "/opt/ros/kinetic/lib/python2.7/dist-packages/roslaunch/launch.py", line 338, in _load_parameters
    r  = param_server_multi()
    File "/usr/lib/python2.7/xmlrpclib.py", line 1006, in __call__
    return MultiCallIterator(self.__server.system.multicall(marshalled_list))
    File "/usr/lib/python2.7/xmlrpclib.py", line 1243, in __call__
    return self.__send(self.__name, args)
    File "/usr/lib/python2.7/xmlrpclib.py", line 1596, in __request
    allow_none=self.__allow_none)
    File "/usr/lib/python2.7/xmlrpclib.py", line 1094, in dumps
    data = m.dumps(params)
    File "/usr/lib/python2.7/xmlrpclib.py", line 638, in dumps
    dump(v, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 660, in __dump
    f(self, value, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 719, in dump_array
    dump(v, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 660, in __dump
    f(self, value, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 741, in dump_struct
    dump(v, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 660, in __dump
    f(self, value, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 719, in dump_array
    dump(v, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 660, in __dump
    f(self, value, write)
    File "/usr/lib/python2.7/xmlrpclib.py", line 664, in dump_nil
    raise TypeError, "cannot marshal None unless allow_none is enabled"<string>:71: (INFO/1) Unexpected possible title overline or transition.
    Treating it as ordinary text because it's so short.
    
    ```
    
    <string>:71: (WARNING/2) Inline literal start-string without end-string.
    
    <string>:71: (WARNING/2) Inline interpreted text or phrase reference start-string without end-string.
    
      * add test for data_collection_server.test
    
  * [jsk_data] Add re-download code. Fix #1574 <https://github.com/jsk-ros-pkg/jsk_common/issues/1574> (#1589 <https://github.com/jsk-ros-pkg/jsk_common/issues/1589>)
    * [jsk_data] Add n_times option to try download
    * [jsk_data] Add download_data.py's test
    * [jsk_data] Add return value
    * [jsk_data] Add re-download code. Fix #1574 <https://github.com/jsk-ros-pkg/jsk_common/issues/1574>
  * update jsk_travis to 0.4.38 add lunar and melodic (#1594 <https://github.com/jsk-ros-pkg/jsk_common/issues/1594>)
    * run pr2_play.launch test only when pr2_description_FOUND
  * Fix mkdir in if isabs block in download_data (#1593 <https://github.com/jsk-ros-pkg/jsk_common/issues/1593>)
  * Contributors: Kei Okada, Kentaro Wada, Yohei Kakiuchi, Yuto Uchimi, Iori Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-indigo-jsk-data (2.2.7-0trusty) trusty; urgency=high

  * jsk_data: chmod extraced files (#1582 <https://github.com/jsk-ros-pkg/jsk_common/issues/1582>)
  * [jsk_data] add option not to save in timestamp dir in data_collection_server.py (#1578 <https://github.com/jsk-ros-pkg/jsk_common/issues/1578>)
  * add timer save request in data_collection_server (#1557 <https://github.com/jsk-ros-pkg/jsk_common/issues/1557>)
    * update sample data collection launch

