=== debian/control ===
Source: ros-indigo-jsk-data
Section: misc
Priority: extra
Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), python-nose, ros-indigo-catkin, ros-indigo-dynamic-reconfigure, ros-indigo-message-generation, ros-indigo-roslaunch, ros-indigo-roslint, ros-indigo-rostest
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-jsk-data
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-paramiko, python-yaml, ros-indigo-baxter-description, ros-indigo-depth-image-proc, ros-indigo-dynamic-reconfigure, ros-indigo-image-transport, ros-indigo-jsk-topic-tools, ros-indigo-message-runtime, ros-indigo-nodelet, ros-indigo-openni-launch, ros-indigo-pr2-description, ros-indigo-pr2-machine, ros-indigo-rosbag, ros-indigo-rqt-bag, ros-indigo-rviz, ros-indigo-tf2-ros, ros-indigo-xacro
Description: The jsk_data package
